import folium
import basthon

def creer_carte(latitude, longitude, zoom):
    return folium.Map(location = [latitude, longitude], zoom_start = zoom)

def afficher_carte(nom_carte):
    nom_carte.display()
    
def enregistrer_carte(nom_carte, nom_enregistrement):
    nom_carte.save(nom_enregistrement + '.html')
    
def telecharger_carte(nom_carte, nom_enregistrement):
    enregistrer_carte(nom_carte, nom_enregistrement)
    basthon.download(nom_enregistrement + '.html')
    
def placer_marqueur(nom_carte, latitude, longitude, nom_popup):
    return folium.Marker([latitude, longitude], popup=nom_popup).add_to(nom_carte)

def afficher_coordonnees(nom_carte):
    return nom_carte.add_child(folium.LatLngPopup())

def tracer_ligne(nom_carte, liste_coordonnees, nom_tooltip, couleur):
    return folium.PolyLine(liste_coordonnees, tooltip = nom_tooltip, color = couleur).add_to(nom_carte)
    
def tracer_polygone(nom_carte, liste_coordonnees, nom_tooltip, couleur, booleen):
    return folium.Polygon(liste_coordonnees, tooltip = nom_tooltip, color = couleur, fill = booleen).add_to(nom_carte)